import re

# 合并后的正则表达式
begin_pattern_combined = re.compile('^(?:附录(?:一|1)?[：:]?|附件(?:一|1)?[：:]?|附表(?:一|1)?[：:]?|资格性检查|资格审查|符合性审查)', re.MULTILINE)

# 测试字符串
test_strings = [
    "附件 4",
    "第三部分 商务要求哈哈",
    "第六章 哈哈采购",
    "第八部分 需求说明",
    "第九章 技术要求",
]

for test_string in test_strings:
    match = begin_pattern_combined.search(test_string)
    if match:
        print(f"匹配成功：{test_string}")
    else:
        print(f"匹配失败：{test_string}")
